--[[
Buff Off
Author: Decrypt of Kirin Tor (Alliance)

Purpose: Displays a message in the chat frame when buffs
		 fade away or are removed.
		 
		 	 
		 --Decrypt of Kirin Tor (Alliance)
		 Email:  davebowlin at gmail dot com
]]--



local f = CreateFrame("Frame")
local playerGUID

C_Timer.After(.1, function() -- wait a bit
	playerGUID = UnitGUID("player")
end)

function f:OnEvent(event, _, subevent, _, sourceGUID, _, _, _, _, _, _, _, spellID)
	if subevent == "SPELL_AURA_REMOVED" and sourceGUID == playerGUID then
		print(GetSpellLink(spellID).." buff has faded or been removed!")
	end
end

f:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
f:SetScript("OnEvent", f.OnEvent)